Fedora Core 1 : libpng-1.2.5-4 (2004-185)

High Nessus Plugin ID 62244


The remote Fedora Core host is missing a security update.


During an audit of Red Hat Linux updates, the Fedora Legacy team found a security issue in libpng that had not been fixed in Fedora Core. An attacker could carefully craft a PNG file in such a way that it would cause an application linked to libpng to crash or potentially execute arbitrary code when opened by a victim.


Update the affected libpng, libpng-debuginfo and / or libpng-devel packages.

See Also


Plugin Details

Severity: High

ID: 62244

File Name: fedora_2004-185.nasl

Version: $Revision: 1.2 $

Type: local

Agent: unix

Published: 2012/09/24

Modified: 2012/10/01

Dependencies: 12634

Risk Information

Risk Factor: High

Vulnerability Information

CPE: cpe:/o:fedoraproject:fedora_core:1

Required KB Items: Host/local_checks_enabled, Host/RedHat/release, Host/RedHat/rpm-list

Patch Publication Date: 2004/06/18

Reference Information

FEDORA: 2004-185